Bug 1312096 - Poor graphic performance on gtx750ti
Poor graphic performance on gtx750ti
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
6.8
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Ben Skeggs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 12:50 EST by Martin Krajnak
Modified: 2016-04-01 07:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 07:45:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (69.13 KB, text/plain)
2016-02-25 12:50 EST, Martin Krajnak
no flags Details

  None (edit)
Description Martin Krajnak 2016-02-25 12:50:22 EST
Created attachment 1130605 [details]
Xorg.0.log

Description of problem:
Using setup with gtx 750 ti and tree monitors, 
video playback in totem is not smooth, also there are some lags while scrolling web pages in Firefox or resizing windows. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.11-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:

1.open long web page in Firefox
2.scroll down quickly
3.resize Firefox Window
4.open totem
5. play some video

Actual results:

Web page scrolling is laggy, 
web page is rendering slowly while resizing window,
video playback is not smooth,

Expected results:
video playback should be smooth, 
web page scrolling should be smooth, and rendered in time

Additional info:
Comment 1 Martin Krajnak 2016-03-04 10:39:12 EST
Same performance issues appeared with Nvidia Quadro K620

Package versions:
xorg-x11-drv-nouveau-1.0.11-1.el6.x86_64
kernel 2.6.32-621.el6.x86_6

I would also like to add that I played 720p video in step 5. of reproducer and I was using all output ports available.
Comment 2 Martin Krajnak 2016-03-04 11:45:51 EST
Cards are also unable to set the Default Output Plugin to X Window System (X11/XShm/Xv)

Steps to reproduce:
1.Ensure the 'nomodeset' kernel parameter is not set in your bootloader configuration.
2.Ensure the file /etc/X11/xorg.conf does not exist, or is a valid file that uses the valid driver
3.Ensure the gnome-media-apps package is installed. If not you can find it in brewweb as a part of gnome-media package (search for it).
4.Open a terminal.
5.Run gstreamer-properties, go to the Video tab, and set the Default Output Plugin to X Window System (X11/XShm/Xv)


Actual results:

Error message in terminal:
gtreamer-properties-Message: Error running pipeline 'X Window System (X11/XShm/Xv)': Could not initialise Xv output [xvimagesink.c(1433): gst_xvimagesink_get_xv_support (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink1:
No port available]

afterwards totem is unable to play any videos. 

Expected results:
Should set the Default Output Plugin to X Window System (X11/XShm/Xv).
Comment 3 Tomas Pelka 2016-04-01 07:45:40 EDT
Performance with newer nouveau driver (xorg-x11-drv-nouveau-1.0.12-1.el6) is much better from my POV. But the error

gtreamer-properties-Message: Error running pipeline 'X Window System (X11/XShm/Xv)': Could not initialise Xv output [xvimagesink.c(1433): gst_xvimagesink_get_xv_support (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink1:
No port available]

is still there. Maybe it is not expected that glamor based nvidia card should work with Xv.

I'm going to file another bug against libXv.

Note You need to log in before you can comment on or make changes to this bug.